stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Config.Docker

Description

Docker configuration

Synopsis

- dockerOptsFromMonoid :: MonadThrow m => Maybe Project -> Path Abs Dir -> Maybe AbstractResolver -> DockerOptsMonoid -> m DockerOpts
- data StackDockerConfigException
  - = ResolverNotSupportedException String
  - | InvalidDatabasePathException SomeException

# Documentation

dockerOptsFromMonoid :: MonadThrow m => Maybe Project -> Path Abs Dir -> Maybe AbstractResolver -> DockerOptsMonoid -> m DockerOpts #

Interprets DockerOptsMonoid options.

data StackDockerConfigException #

Exceptions thrown by Stack.Docker.Config.

Constructors

ResolverNotSupportedException String | Only LTS resolvers are supported for default image tag.
InvalidDatabasePathException SomeException | Invalid global database path.

Instances

Show StackDockerConfigException # | Show instance for StackDockerConfigException.
Methods showsPrec :: Int -> StackDockerConfigException -> ShowS # show :: StackDockerConfigException -> String # showList :: [StackDockerConfigException] -> ShowS #
Exception StackDockerConfigException # | Exception instance for StackDockerConfigException.
Methods toException :: StackDockerConfigException -> SomeException # fromException :: SomeException -> Maybe StackDockerConfigException # displayException :: StackDockerConfigException -> String #